summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Smith <tsmith84@gmail.com>2020-12-30 12:00:54 -0800
committerTim Smith <tsmith84@gmail.com>2020-12-30 12:00:54 -0800
commit5be346c85f30e12efb37c5cc5910f50084c5071b (patch)
tree4b4cc664da8591e4edb0c29aeea2afa3f55c8d8b
parentbc7e4c641a7914084f3ca4690db73c95444cfe6e (diff)
downloadmixlib-config-5be346c85f30e12efb37c5cc5910f50084c5071b.tar.gz
Add Ruby 2.7 testing + cache gem installs in CI
Speed up / expand our testing Signed-off-by: Tim Smith <tsmith@chef.io>
-rwxr-xr-x.expeditor/run_linux_tests.sh15
-rw-r--r--.expeditor/verify.pipeline.yml31
2 files changed, 36 insertions, 10 deletions
diff --git a/.expeditor/run_linux_tests.sh b/.expeditor/run_linux_tests.sh
new file mode 100755
index 0000000..fc2f6b2
--- /dev/null
+++ b/.expeditor/run_linux_tests.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+#
+# This script runs a passed in command, but first setups up the bundler caching on the repo
+
+set -ue
+
+export USER="root"
+export LANG=C.UTF-8 LANGUAGE=C.UTF-8
+
+echo "--- bundle install"
+bundle config --local path vendor/bundle
+bundle install --jobs=7 --retry=3
+
+echo "+++ bundle exec task"
+bundle exec $@
diff --git a/.expeditor/verify.pipeline.yml b/.expeditor/verify.pipeline.yml
index 7865325..ba3874e 100644
--- a/.expeditor/verify.pipeline.yml
+++ b/.expeditor/verify.pipeline.yml
@@ -1,41 +1,52 @@
---
expeditor:
+ cached_folders:
+ - vendor
defaults:
buildkite:
+ retry:
+ automatic:
+ limit: 1
timeout_in_minutes: 30
steps:
- label: run-lint-and-specs-ruby-2.4
command:
- - bundle install --jobs=7 --retry=3 --without docs debug
- - bundle exec rake
+ - .expeditor/run_linux_tests.sh rake
expeditor:
executor:
docker:
- image: ruby:2.4-stretch
+ image: ruby:2.4-buster
- label: run-lint-and-specs-ruby-2.5
command:
- - bundle install --jobs=7 --retry=3 --without docs debug
- - bundle exec rake
+ - .expeditor/run_linux_tests.sh rake
expeditor:
executor:
docker:
- image: ruby:2.5-stretch
+ image: ruby:2.5-buster
- label: run-lint-and-specs-ruby-2.6
command:
- - bundle install --jobs=7 --retry=3 --without docs debug
- - bundle exec rake
+ - .expeditor/run_linux_tests.sh rake
+ expeditor:
+ executor:
+ docker:
+ image: ruby:2.6-buster
+
+- label: run-lint-and-specs-ruby-2.7
+ command:
+ - .expeditor/run_linux_tests.sh rake
expeditor:
executor:
docker:
- image: ruby:2.6-stretch
+ image: ruby:2.7-buster
- label: run-specs-windows
command:
- - bundle install --jobs=7 --retry=3 --without docs debug
+ - bundle config --local path vendor/bundle
+ - bundle install --jobs=7 --retry=3
- bundle exec rake
expeditor:
executor: